-- name: [CS] FunGusMod
-- description: Do you want to erase your data?\n\n\\#11965f\\This Pack requires Character Select\nto use as a Library!

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_PARAPPA = smlua_model_util_get_id("fungus_geo")

local TEX_PARAPPA_ICON = get_texture_info("Fungus-icon")

local TEXT_MOD_NAME = "Fungus"

local VOICETABLE_PARAPPA = {
    [CHAR_SOUND_ATTACKED] = nil,
    [CHAR_SOUND_DOH] = nil,
    [CHAR_SOUND_DROWNING] = nil,
    [CHAR_SOUND_DYING] = nil,
    [CHAR_SOUND_GROUND_POUND_WAH] = nil,
    [CHAR_SOUND_HAHA] = nil,
    [CHAR_SOUND_HAHA_2] = nil,
    [CHAR_SOUND_HERE_WE_GO] = nil,
    [CHAR_SOUND_HOOHOO] = nil,
    [CHAR_SOUND_MAMA_MIA] = nil,
    [CHAR_SOUND_OKEY_DOKEY] = nil,
    [CHAR_SOUND_ON_FIRE] = nil,
    [CHAR_SOUND_OOOF] = nil,
    [CHAR_SOUND_OOOF2] = nil,
    [CHAR_SOUND_PUNCH_HOO] = nil,
    [CHAR_SOUND_PUNCH_WAH] = nil,
    [CHAR_SOUND_PUNCH_YAH] = nil,
    [CHAR_SOUND_SO_LONGA_BOWSER] = nil,
    [CHAR_SOUND_TWIRL_BOUNCE] = nil,
    [CHAR_SOUND_WAAAOOOW] = nil,
    [CHAR_SOUND_WAH2] = nil,
    [CHAR_SOUND_WHOA] = nil, 
    [CHAR_SOUND_YAHOO] = nil,
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = nil,
    [CHAR_SOUND_YAH_WAH_HOO] = nil,
    [CHAR_SOUND_YAWNING] = nil,
}

local PALETTE_PARAPPA = {
    [PANTS]  = "0F2B6C",
    [SHIRT]  = "5E98E4",
    [GLOVES] = "FFFFFF",
    [SHOES]  = "DE2919",
    [HAIR]   = "000000",
    [SKIN]   = "FEFDCC",
    [CAP]    = "F47412",
}

--[[ PaRappa does NOT take his hat off under ANY circumstances, as canonically, hatless PaRappa is a horrid sight.
local CAPTABLE_PARAPPA = {
    normal = smlua_model_util_get_id("parappa_cap_normal_geo"),
    wing = smlua_model_util_get_id("parappa_cap_wing_geo"),
    metal = smlua_model_util_get_id("parappa_cap_metal_geo"),
    metalWing = smlua_model_util_get_id("parappa_cap_wing_geo"),
}
--]]
if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Fungus", "He comes from a mario party game!", "Made by @Asplatim on twitter", {r = 0, g = 153, b = 100}, E_MODEL_PARAPPA, CT_MARIO, TEX_PARAPPA_ICON)
--      _G.charSelect.character_add_caps(E_MODEL_PARAPPA, CAPTABLE_PARAPPA)

    _G.charSelect.character_add_palette_preset(E_MODEL_PARAPPA, PALETTE_PARAPPA)

     --the following must be hooked for each character added

    _G.charSelect.character_add_voice(E_MODEL_PARAPPA, VOICETABLE_PARAPPA)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_PARAPPA then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_PARAPPA then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end